Bug 1018765 - [amqp1.0] amqp1.0 message is not routed to the queue alternate exchange
[amqp1.0] amqp1.0 message is not routed to the queue alternate exchange
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
unspecified Severity medium
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-10-14 07:43 EDT by Petr Matousek
Modified: 2015-01-21 07:57 EST (History)
4 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:57:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5229 None None None Never

  None (edit)
Description Petr Matousek 2013-10-14 07:43:31 EDT
Description of problem:

Rejected message is not routed to the queue alternate exchange. See 'Steps to Reproduce' below for more details.

Note: this applies only to amqp1.0 protocol, amqp0-10 routes the message to the alternate exchange correctly

Version-Release number of selected component (if applicable):
qpid-cpp-*-0.22-19

How reproducible:
100%

Steps to Reproduce:
1. subscribe a consumer to alternate exchange, ie:
# drain --connection-options "{protocol: 'amqp1.0'}" -f amq.fanout
2. create a queue with alternate-exchange specified and send a message towards it
# spout --connection-options "{protocol: 'amqp1.0'}" "q;{create:always, node:{x-declare:{alternate-exchange: 'amq.fanout'}}}"
3. acquire and reject the message using consumer, the message shall be routed to the defined alternate exchange
4. No message was delivered on the alternate exchange

Actual results:
Rejected message is NOT routed to the alternate exchange

Expected results:
Rejected message is routed to the alternate exchange

Additional info:
Comment 1 Petr Matousek 2013-10-15 04:02:08 EDT
Note: The message is not dropped, it is returned to the queue, but shall be routed to alternate-exchange
Comment 2 Gordon Sim 2013-10-15 09:01:23 EDT
Fixed upstream: https://svn.apache.org/r1532307
Comment 3 Petr Matousek 2013-10-22 05:42:19 EDT
This issue has been fixed. Verified on rhel6.4 (i386, x86_64).

packages used for testing:
qpid-cpp-*-0.22-20.el6

Note You need to log in before you can comment on or make changes to this bug.